<?php

if (!function_exists('jaxlite_customize_panel_function')) {

	function jaxlite_customize_panel_function() {
		
		$theme_panel = array ( 

			array(
				
				"label" => __( "Full Image Background","jax-lite"),
				"description" => __( "Do you want to set a full background image? (After the upload, check 'Fixed', from the Background Attachment section)","jax-lite"),
				"id" => "jaxlite_full_image_background",
				"type" => "select",
				"section" => "background_image",
				"options" => array (
				   "off" => __( "No","jax-lite"),
				   "on" => __( "Yes","jax-lite"),
				),
				
				"std" => "off",
			
			),
			
			/* START SUPPORT SECTION */ 

			array(
			
				"title" => __( "Get support","jax-lite"),
				"id" => "jaxlite-customize-info",
				"type" => "jaxlite-customize-info",
				"section" => "jaxlite-customize-info",
				"priority" => "09",

			),

			array(
				
				"label" => __( "Background Repeat","jax-lite"),
				"description" => __( "Choose a background repeat.","jax-lite"),
				"id" => "jaxlite_header_background_repeat",
				"type" => "select",
				"section" => "header_image",
				"options" => array (
				   "no-repeat" => __( "None","jax-lite"),
				   "repeat" => __( "Repeat","jax-lite"),
				   "repeat-x" => __( "Horizontal Repeat","jax-lite"),
				   "repeat-y" => __( "Vertical Repeat","jax-lite"),
				),
				
				"std" => "",
			
			),

			array(
				
				"label" => __( "Background Position","jax-lite"),
				"description" => __( "Choose a background position.","jax-lite"),
				"id" => "jaxlite_header_background_position",
				"type" => "select",
				"section" => "header_image",
				"options" => array (
				   "" => __( "None","jax-lite"),
				   "top-left" => __( "Top Left","jax-lite"),
				   "top-center" => __( "Top Center","jax-lite"),
				   "top-right" => __( "Top Right","jax-lite"),
				   "left" => __( "Left","jax-lite"),
				   "center" => __( "Center","jax-lite"),
				   "right" => __( "Right","jax-lite"),
				   "bottom-left" => __( "Bottom Left","jax-lite"),
				   "bottom-center" => __( "Bottom Center","jax-lite"),
				   "bottom-right" => __( "Bottom Right","jax-lite"),
				),
				
				"std" => "center",
			
			),

			array(
				
				"label" => __( "Background Attachment","jax-lite"),
				"description" => __( "Choose a background attachment.","jax-lite"),
				"id" => "jaxlite_header_background_attachment",
				"type" => "select",
				"section" => "header_image",
				"options" => array (
				   "scroll" => __( "Scroll","jax-lite"),
				   "fixed" => __( "Fixed","jax-lite"),
				),
				
				"std" => "fixed",
			
			),

			array(
				
				"label" => __( "Full Image Background","jax-lite"),
				"description" => __( "Do you want to set a full background image?(Recommended with a fixed attachment)","jax-lite"),
				"id" => "jaxlite_full_image_header_background",
				"type" => "select",
				"section" => "header_image",
				"options" => array (
				   "off" => __( "No","jax-lite"),
				   "on" => __( "Yes","jax-lite"),
				),
				
				"std" => "on",
			
			),

			array(
				
				"label" => __( "Header padding","jax-lite"),
				"description" => __( "Change the top and bottom padding, for increase the header height.","jax-lite"),
				"id" => "jaxlite_header_padding",
				"type" => "text",
				"section" => "header_image",
				"std" => "200px",
			
			),

			array(
				
				"label" => __( "Header Text Color Hover","jax-lite"),
				"description" => __( "","jax-lite"),
				"id" => "jaxlite_header_textcolor_hover",
				"type" => "color",
				"section" => "colors",
				"std" => "#ffffff",
				"priority" => "09",

			),

			/* START GENERAL SECTION */ 

			array( 
				
				"title" => __( "General","jax-lite"),
				"description" => __( "General","jax-lite"),
				"type" => "panel",
				"id" => "general_panel",
				"priority" => "10",
				
			),

			/* SKINS */ 

			array( 

				"title" => __( "Color Scheme","jax-lite"),
				"type" => "section",
				"panel" => "general_panel",
				"priority" => "11",
				"id" => "colorscheme_section",

			),

			array(
				
				"label" => __( "Predefined Color Schemes","jax-lite"),
				"description" => __( "Choose your Color Scheme","jax-lite"),
				"id" => "jaxlite_skin",
				"type" => "select",
				"section" => "colorscheme_section",
				"options" => array (
				   "turquoise" => __( "Turquoise","jax-lite"),
				   "orange" => __( "Orange","jax-lite"),
				   "blue" => __( "Blue","jax-lite"),
				   "red" => __( "Red","jax-lite"),
				   "pink" => __( "Pink","jax-lite"),
				   "purple" => __( "Purple","jax-lite"),
				   "yellow" => __( "Yellow","jax-lite"),
				   "green" => __( "Green","jax-lite"),
				   "white_turquoise" => __( "White & Turquoise","jax-lite"),
				   "white_orange" => __( "White & Orange","jax-lite"),
				   "white_blue" => __( "White & Blue","jax-lite"),
				   "white_red" => __( "White & Red","jax-lite"),
				   "white_pink" => __( "White & Pink","jax-lite"),
				   "white_purple" => __( "White & Purple","jax-lite"),
				   "white_yellow" => __( "White & Yellow","jax-lite"),
				   "white_green" => __( "White & Green","jax-lite"),
				),
				
				"std" => "turquoise",
			
			),

			/* PAGE WIDTH */ 

			array( 

				"title" => __( "Page width","jax-lite"),
				"type" => "section",
				"id" => "pagewidth_section",
				"panel" => "general_panel",
				"priority" => "12",

			),

			array( 

				"label" => __( "Screen greater than 768px","jax-lite"),
				"description" => __( "Set a width, for a screen greater than 768 pixel (for example 750 and not 750px ) ","jax-lite"),
				"id" => "jaxlite_screen1",
				"type" => "text",
				"section" => "pagewidth_section",
				"std" => "750",

			),

			array( 

				"label" => __( "Screen greater than 992px","jax-lite"),
				"description" => __( "Set a width, for a screen greater than 992 pixel (for example 940 and not 940px ) ","jax-lite"),
				"id" => "jaxlite_screen2",
				"type" => "text",
				"section" => "pagewidth_section",
				"std" => "940",

			),

			array( 

				"label" => __( "Screen greater than 1200px","jax-lite"),
				"description" => __( "Set a width, in px, for a screen greater than 1200 pixel (for example 1170 and not 1170px ) ","jax-lite"),
				"id" => "jaxlite_screen3",
				"type" => "text",
				"section" => "pagewidth_section",
				"std" => "940",

			),

			array( 

				"label" => __( "Screen greater than 1400px","jax-lite"),
				"description" => __( "Set a width, in px, for a screen greater than 1400 pixel (for example 1370 and not 1370px ) ","jax-lite"),
				"id" => "jaxlite_screen4",
				"type" => "text",
				"section" => "pagewidth_section",
				"std" => "940",

			),

			/* SETTINGS SECTION */ 

			array( 

				"title" => __( "Settings","jax-lite"),
				"type" => "section",
				"id" => "settings_section",
				"panel" => "general_panel",
				"priority" => "13",

			),

			array(
				
				"label" => __( "Infinite scroll","jax-lite"),
				"description" => __( "Do you want to use the infinite scroll, for the articles?","jax-lite"),
				"id" => "jaxlite_infinitescroll_system",
				"type" => "select",
				"section" => "settings_section",
				"options" => array (
				   "off" => __( "No","jax-lite"),
				   "on" => __( "Yes","jax-lite"),
				),
				
				"std" => "off",
			
			),

			array(
				
				"label" => __( "Animated title","jax-lite"),
				"description" => __( "Do you want to use the animated title system?","jax-lite"),
				"id" => "jaxlite_animated_titles",
				"type" => "select",
				"section" => "settings_section",
				"options" => array (
				   "off" => __( "No","jax-lite"),
				   "on" => __( "Yes","jax-lite"),
				),
				
				"std" => "on",
			
			),

			array(
				
				"label" => __( "Preloading system","jax-lite"),
				"description" => __( "Do you want to use the preloading system?","jax-lite"),
				"id" => "jaxlite_preloading_system",
				"type" => "select",
				"section" => "settings_section",
				"options" => array (
				   "off" => __( "No","jax-lite"),
				   "on" => __( "Yes","jax-lite"),
				),
				
				"std" => "on",
			
			),

			array(
				
				"label" => __( "Read more button","jax-lite"),
				"description" => __( "Do you want to use a button, for open the posts? (Instead of [...])","jax-lite"),
				"id" => "jaxlite_readmore_button",
				"type" => "select",
				"section" => "settings_section",
				"options" => array (
				   "off" => __( "No","jax-lite"),
				   "on" => __( "Yes","jax-lite"),
				),
				
				"std" => "off",
			
			),

			array( 

				"title" => __( "Styles","jax-lite"),
				"type" => "section",
				"id" => "styles_section",
				"panel" => "general_panel",
				"priority" => "14",

			),

			array( 

				"label" => __( "Custom css","jax-lite"),
				"description" => __( "Insert your custom css code.","jax-lite"),
				"id" => "jaxlite_custom_css_code",
				"type" => "textarea",
				"section" => "styles_section",
				"std" => "",

			),

			/* LAYOUTS SECTION */ 

			array( 

				"title" => __( "Layouts","jax-lite"),
				"type" => "section",
				"id" => "layouts_section",
				"panel" => "general_panel",
				"priority" => "16",

			),

			array(
				
				"label" => __("Home Blog Layout","jax-lite"),
				"description" => __("If you've set the latest articles, for the homepage, choose a layout.","jax-lite"),
				"id" => "jaxlite_home",
				"type" => "select",
				"section" => "layouts_section",
				"options" => array (
				   "full" => __( "Full Width","jax-lite"),
				   "left-sidebar" => __( "Left Sidebar","jax-lite"),
				   "right-sidebar" => __( "Right Sidebar","jax-lite"),
				   "masonry" => __( "Masonry","jax-lite"),
				),
				
				"std" => "masonry",
			
			),
	

			array(
				
				"label" => __("Category Layout","jax-lite"),
				"description" => __("Select a layout for category pages.","jax-lite"),
				"id" => "jaxlite_category_layout",
				"type" => "select",
				"section" => "layouts_section",
				"options" => array (
				   "full" => __( "Full Width","jax-lite"),
				   "left-sidebar" => __( "Left Sidebar","jax-lite"),
				   "right-sidebar" => __( "Right Sidebar","jax-lite"),
				   "masonry" => __( "Masonry","jax-lite"),
				),
				
				"std" => "masonry",
			
			),
	

			array(
				
				"label" => __("Search Layout","jax-lite"),
				"description" => __("Select a layout for the search page.","jax-lite"),
				"id" => "jaxlite_search_layout",
				"type" => "select",
				"section" => "layouts_section",
				"options" => array (
				   "full" => __( "Full Width","jax-lite"),
				   "left-sidebar" => __( "Left Sidebar","jax-lite"),
				   "right-sidebar" => __( "Right Sidebar","jax-lite"),
				   "masonry" => __( "Masonry","jax-lite"),
				),
				
				"std" => "masonry",
			
			),

			/* THUMBNAILS SECTION */ 

			array( 

				"title" => __( "Thumbnails","jax-lite"),
				"type" => "section",
				"id" => "thumbnails_section",
				"panel" => "general_panel",
				"priority" => "17",

			),

			array( 

				"label" => __( "Blog Thumbnail","jax-lite"),
				"description" => __( "Insert the height for blog thumbnail.","jax-lite"),
				"id" => "jaxlite_blog_thumbinal",
				"type" => "text",
				"section" => "thumbnails_section",
				"std" => "550",

			),

			/* HEADER AREA SECTION */ 

			array( 

				"title" => __( "Header","jax-lite"),
				"type" => "section",
				"id" => "header_section",
				"panel" => "general_panel",
				"priority" => "19",

			),

			array( 

				"label" => __( "Custom Logo","jax-lite"),
				"description" => __( "Upload your custom logo","jax-lite"),
				"id" => "jaxlite_custom_logo",
				"type" => "upload",
				"section" => "header_section",
				"std" => "",

			),

			/* FOOTER AREA SECTION */ 

			array( 

				"title" => __( "Footer","jax-lite"),
				"type" => "section",
				"id" => "footer_section",
				"panel" => "general_panel",
				"priority" => "20",

			),

			array( 

				"label" => __( "Copyright Text","jax-lite"),
				"description" => __( "Insert your copyright text.","jax-lite"),
				"id" => "jaxlite_copyright_text",
				"type" => "textarea",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Facebook Url","jax-lite"),
				"description" => __( "Insert Facebook Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_facebook_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Twitter Url","jax-lite"),
				"description" => __( "Insert Twitter Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_twitter_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Flickr Url","jax-lite"),
				"description" => __( "Insert Flickr Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_flickr_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Google Url","jax-lite"),
				"description" => __( "Insert Google Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_google_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Linkedin Url","jax-lite"),
				"description" => __( "Insert Linkedin Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_linkedin_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Pinterest Url","jax-lite"),
				"description" => __( "Insert Pinterest Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_pinterest_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Tumblr Url","jax-lite"),
				"description" => __( "Insert Tumblr Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_tumblr_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Youtube Url","jax-lite"),
				"description" => __( "Insert Youtube Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_youtube_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Skype Url","jax-lite"),
				"description" => __( "Insert Skype ID (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_skype_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Instagram Url","jax-lite"),
				"description" => __( "Insert Instagram Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_instagram_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Github Url","jax-lite"),
				"description" => __( "Insert Github Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_github_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Xing Url","jax-lite"),
				"description" => __( "Insert Xing Url (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_xing_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "WhatsApp number","jax-lite"),
				"description" => __( "Insert WhatsApp number (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_whatsapp_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => __( "Email Address","jax-lite"),
				"description" => __( "Insert Email Address (empty if you want to hide the button)","jax-lite"),
				"id" => "jaxlite_footer_email_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array(
				
				"label" => __( "Feed Rss Button","jax-lite"),
				"description" => __( "Do you want to display the Feed Rss button?","jax-lite"),
				"id" => "jaxlite_footer_rss_button",
				"type" => "select",
				"section" => "footer_section",
				"options" => array (
				   "off" => __( "No","jax-lite"),
				   "on" => __( "Yes","jax-lite"),
				),
				
				"std" => "off",
			
			),

			/* TYPOGRAPHY SECTION */ 

			array( 
				
				"title" => __( "Typography","jax-lite"),
				"description" => __( "Typography","jax-lite"),
				"type" => "panel",
				"id" => "typography_panel",
				"priority" => "11",
				
			),

			/* LOGO */ 

			array( 

				"title" => __( "Logo","jax-lite"),
				"type" => "section",
				"id" => "logo_section",
				"panel" => "typography_panel",
				"priority" => "10",

			),

			array( 

				"label" => __( "Font size","jax-lite"),
				"description" => __( "Insert a size, for logo font (For example, 60px) ","jax-lite"),
				"id" => "jaxlite_logo_font_size",
				"type" => "text",
				"section" => "logo_section",
				"std" => "70px",

			),
			
			array( 

				"label" => __( "Description size","jax-lite"),
				"description" => __( "Insert a size, for logo description (For example, 60px) ","jax-lite"),
				"id" => "jaxlite_logo_description_size",
				"type" => "text",
				"section" => "logo_section",
				"std" => "18px",

			),
			
			/* LOGO */ 

			array( 

				"title" => __( "Slogan","jax-lite"),
				"type" => "section",
				"id" => "slogan_section",
				"panel" => "typography_panel",
				"priority" => "11",

			),

			array( 

				"label" => __( "Slogan font size","jax-lite"),
				"description" => __( "Choose a size for slogan.","jax-lite"),
				"id" => "jaxlite_slogan_font_size",
				"type" => "text",
				"section" => "slogan_section",
				"std" => "40px",

			),
			
			array( 

				"label" => __( "Subslogan font size","jax-lite"),
				"description" => __( "Choose a size for subslogan.","jax-lite"),
				"id" => "jaxlite_subslogan_font_size",
				"type" => "text",
				"section" => "slogan_section",
				"std" => "14px",

			),

			/* MENU */ 

			array( 

				"title" => __( "Menu","jax-lite"),
				"type" => "section",
				"id" => "menu_section",
				"panel" => "typography_panel",
				"priority" => "12",

			),

			array( 

				"label" => __( "Font size","jax-lite"),
				"description" => __( "Insert a size, for menu font (For example, 14px) ","jax-lite"),
				"id" => "jaxlite_menu_font_size",
				"type" => "text",
				"section" => "menu_section",
				"std" => "14px",

			),

			/* CONTENT */ 

			array( 

				"title" => __( "Content","jax-lite"),
				"type" => "section",
				"id" => "content_section",
				"panel" => "typography_panel",
				"priority" => "13",

			),

			array( 

				"label" => __( "Font size","jax-lite"),
				"description" => __( "Insert a size, for content font (For example, 14px) ","jax-lite"),
				"id" => "jaxlite_content_font_size",
				"type" => "text",
				"section" => "content_section",
				"std" => "14px",

			),


			/* HEADLINES */ 

			array( 

				"title" => __( "Headlines","jax-lite"),
				"type" => "section",
				"id" => "headlines_section",
				"panel" => "typography_panel",
				"priority" => "14",

			),

			array( 

				"label" => __( "H1 headline","jax-lite"),
				"description" => __( "Insert a size, for for H1 elements (For example, 24px) ","jax-lite"),
				"id" => "jaxlite_h1_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "24px",

			),

			array( 

				"label" => __( "H2 headline","jax-lite"),
				"description" => __( "Insert a size, for for H2 elements (For example, 22px) ","jax-lite"),
				"id" => "jaxlite_h2_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "22px",

			),

			array( 

				"label" => __( "H3 headline","jax-lite"),
				"description" => __( "Insert a size, for for H3 elements (For example, 20px) ","jax-lite"),
				"id" => "jaxlite_h3_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "20px",

			),

			array( 

				"label" => __( "H4 headline","jax-lite"),
				"description" => __( "Insert a size, for for H4 elements (For example, 18px) ","jax-lite"),
				"id" => "jaxlite_h4_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "18px",

			),

			array( 

				"label" => __( "H5 headline","jax-lite"),
				"description" => __( "Insert a size, for for H5 elements (For example, 16px) ","jax-lite"),
				"id" => "jaxlite_h5_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "16px",

			),

			array( 

				"label" => __( "H6 headline","jax-lite"),
				"description" => __( "Insert a size, for for H6 elements (For example, 14px) ","jax-lite"),
				"id" => "jaxlite_h6_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "14px",

			),
		);
		
		new jaxlite_customize($theme_panel);
		
	} 
	
	add_action( 'jaxlite_customize_panel', 'jaxlite_customize_panel_function', 10, 2 );

}

do_action('jaxlite_customize_panel');

?>